<?php
#
# Copyright (c) 2010 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk>
# Plugin: check_apache
#

$k=1;
$ds_name[$k]='Response time';
$opt[$k] = 
  "--vertical-label \"Seconds\" --title \"Response time for $hostname / $servicedesc\" ";
$def[$k] = "DEF:var1=$rrdfile:$DS[1]:AVERAGE " ;
$def[$k] .= "LINE1:var1#CC0000:\"Time\" " ;
$def[$k] .= "GPRINT:var1:LAST:\"%7.2lf %s last\" " ;  
$def[$k] .= "GPRINT:var1:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:var1:MAX:\"%7.2lf %s max\\n\" " ;

$k=2;
$ds_name[$k]='Bytes/second';
$opt[$k] = 
  "--vertical-label \"B/s\" --title \"Transfered B/s for $hostname / $servicedesc\" ";
$def[$k] = "DEF:var1=$rrdfile:$DS[3]:AVERAGE " ;
$def[$k] .= "LINE1:var1#CC0000:\"Traffic\" " ;
$def[$k] .= "GPRINT:var1:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:var1:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:var1:MAX:\"%7.2lf %s max\\n\" " ;

$k=3;
$ds_name[$k]='Requests/second';
$opt[$k] = 
  "--vertical-label \"Packets/s\" --title \"Transfered packets/s for $hostname / $servicedesc\" ";
$def[$k] = "DEF:var1=$rrdfile:$DS[2]:AVERAGE " ;
$def[$k] .= "LINE1:var1#CC0000:\"Requests\" " ;
$def[$k] .= "GPRINT:var1:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:var1:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:var1:MAX:\"%7.2lf %s max\\n\" " ;

$k=4;
$ds_name[$k]='States';
$opt[$k] = 
  "--vertical-label \"#/s\" --title \"States for $hostname / $servicedesc\" ";
$def[$k] = "DEF:pvar1=$rrdfile:$DS[6]:AVERAGE " ;
$def[$k] .= "CDEF:var1=pvar1,0,MAX " ;
$def[$k] .= "DEF:pvar2=$rrdfile:$DS[6]:AVERAGE " ;
$def[$k] .= "CDEF:var2=pvar2,0,MAX " ;
$def[$k] .= "DEF:pvar3=$rrdfile:$DS[5]:AVERAGE " ;
$def[$k] .= "CDEF:var3=pvar3,0,MAX " ;
$def[$k] .= "DEF:pvar4=$rrdfile:$DS[4]:AVERAGE " ;
$def[$k] .= "CDEF:var4=pvar4,0,MAX " ;
$def[$k] .= "DEF:pvar5=$rrdfile:$DS[7]:AVERAGE " ;
$def[$k] .= "CDEF:var5=pvar5,0,MAX " ;
$def[$k] .= "LINE1:var1#00FFFF:\"dns_lookup\" " ;
$def[$k] .= "GPRINT:var1:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:var1:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:var1:MAX:\"%7.2lf %s max\\n\" " ;
$def[$k] .= "LINE1:var2#FF0000:\"sending   \" " ;
$def[$k] .= "GPRINT:var2:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:var2:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:var2:MAX:\"%7.2lf %s max\\n\" " ;
$def[$k] .= "LINE1:var3#FFFF00:\"reading   \" " ;
$def[$k] .= "GPRINT:var3:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:var3:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:var3:MAX:\"%7.2lf %s max\\n\" " ;
$def[$k] .= "LINE1:var4#00FF00:\"waiting   \" " ;
$def[$k] .= "GPRINT:var4:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:var4:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:var4:MAX:\"%7.2lf %s max\\n\" " ;
$def[$k] .= "LINE1:var5#0000FF:\"closing   \" " ;
$def[$k] .= "GPRINT:var5:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:var5:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:var5:MAX:\"%7.2lf %s max\\n\" ";

?>
