<?php
#
# Copyright (c) 2009 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk>
# Plugin: check_eth
#

$k=1;
$ds_name[$k]='Bits/second';
$opt[$k] = 
  "--vertical-label \"Bits/s\" --title \"Network traffic for $hostname / $servicedesc\" ";
$def[$k] = "DEF:prx=$rrdfile:$DS[2]:AVERAGE " ;
$def[$k] .= "DEF:ptx=$rrdfile:$DS[3]:AVERAGE " ;
$def[$k] .= "CDEF:rx=prx,8,* " ;
$def[$k] .= "CDEF:tx=ptx,8,* " ;
$def[$k] .= "CDEF:rx_d=prx,UN,0,prx,IF,60,* " ;
$def[$k] .= "CDEF:tx_d=ptx,UN,0,ptx,IF,60,* " ;
$def[$k] .= "CDEF:rx_s=PREV,UN,rx_d,PREV,IF,rx_d,+ " ;
$def[$k] .= "CDEF:tx_s=PREV,UN,tx_d,PREV,IF,tx_d,+ " ;
$def[$k] .= "LINE1:rx#00CC00:\"RX\" " ;
$def[$k] .= "GPRINT:rx:LAST:\"%7.2lf %sb/s last\" " ;
$def[$k] .= "GPRINT:rx:AVERAGE:\"%7.2lf %sb/s avg\" " ;
$def[$k] .= "GPRINT:rx:MAX:\"%7.2lf %sb/s max\" " ;
$def[$k] .= "GPRINT:rx_s:MAX:\"%7.2lf %sB total\\n\" " ;
$def[$k] .= "LINE1:tx#CC0000:\"TX\" " ;
$def[$k] .= "GPRINT:tx:LAST:\"%7.2lf %sb/s last\" " ;
$def[$k] .= "GPRINT:tx:AVERAGE:\"%7.2lf %sb/s avg\" " ;
$def[$k] .= "GPRINT:tx:MAX:\"%7.2lf %sb/s max\" ";
$def[$k] .= "GPRINT:tx_s:MAX:\"%7.2lf %sB total\\n\" ";

$k=2;
$ds_name[$k]='Packets/second';
$opt[$k] = 
  "--vertical-label \"Packets/s\" --title \"Packets/s for $hostname / $servicedesc\" ";
$def[$k] = "DEF:rx=$rrdfile:$DS[4]:AVERAGE " ;
$def[$k] .= "DEF:tx=$rrdfile:$DS[5]:AVERAGE " ;
$def[$k] .= "LINE1:rx#00CC00:\"RX\" " ;
$def[$k] .= "GPRINT:rx:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:rx:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:rx:MAX:\"%7.2lf %s max\\n\" " ;
$def[$k] .= "LINE1:tx#CC0000:\"TX\" " ;
$def[$k] .= "GPRINT:tx:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:tx:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:tx:MAX:\"%7.2lf %s max\\n\" ";

$k=3;
$ds_name[$k]='Other (collisions, errors, dropped)';
$opt[$k] = 
  "--vertical-label \"#/s\" --title \"Collisions, errors, dropped for $hostname / $servicedesc\" ";
$def[$k] = "DEF:var1=$rrdfile:$DS[1]:AVERAGE " ;
$def[$k] .= "DEF:var2=$rrdfile:$DS[6]:AVERAGE " ;
$def[$k] .= "DEF:var3=$rrdfile:$DS[7]:AVERAGE " ;
$def[$k] .= "DEF:var4=$rrdfile:$DS[8]:AVERAGE " ;
$def[$k] .= "DEF:var5=$rrdfile:$DS[9]:AVERAGE " ;
$def[$k] .= "LINE1:var1#00FFFF:\"coll   \" " ;
$def[$k] .= "GPRINT:var1:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:var1:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:var1:MAX:\"%7.2lf %s max\\n\" " ;
$def[$k] .= "LINE1:var2#FF0000:\"rx_err \" " ;
$def[$k] .= "GPRINT:var2:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:var2:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:var2:MAX:\"%7.2lf %s max\\n\" " ;
$def[$k] .= "LINE1:var3#FFFF00:\"tx_err \" " ;
$def[$k] .= "GPRINT:var3:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:var3:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:var3:MAX:\"%7.2lf %s max\\n\" " ;
$def[$k] .= "LINE1:var4#00FF00:\"rx_drop\" " ;
$def[$k] .= "GPRINT:var4:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:var4:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:var4:MAX:\"%7.2lf %s max\\n\" " ;
$def[$k] .= "LINE1:var5#0000FF:\"tx_drop\" " ;
$def[$k] .= "GPRINT:var5:LAST:\"%7.2lf %s last\" " ;
$def[$k] .= "GPRINT:var5:AVERAGE:\"%7.2lf %s avg\" " ;
$def[$k] .= "GPRINT:var5:MAX:\"%7.2lf %s max\\n\" ";

?>
